<?php declare(strict_types=1);

namespace Drupal\burnafter;

interface BurnAfterServiceInterface {

  /**
   * Determine if burnafter entities should be encrypted.
   *
   * @return bool
   *   TRUE to encrypt content.
   *   FALSE to use plain-text content.
   */
  public function shouldEncrypt(): bool;

  /**
   * Encrypt a string.
   *
   * @param string $data
   *   String to encrypt.
   *
   * @return string
   *   Encrypted string.
   */
  public function encrypt(string $data): string;

  /**
   * Decrypt a string.
   *
   * @param string $data
   *   String to decrypt.
   *
   * @return string
   *   Decrypted string.
   */
  public function decrypt(string $data): string;

  /**
   * Delete all burnafter entities that have reached
   * their expiration date/time.
   */
  public function deleteExpired(): void;

}

// vim: expandtab ts=2 sw=2

