<?php declare(strict_types=1);

namespace Drupal\burnafter\Entity;

use Drupal\Core\Entity\EntityAccessControlHandler;
use Drupal\Core\Entity\EntityInterface;
use Drupal\Core\Session\AccountInterface;
use Drupal\Core\Access\AccessResult;
use Symfony\Component\HttpKernel\Exception\NotFoundHttpException;

/**
 * Provides an access controller for burnafter entities.
 */
final class BurnAfterEntityAccessHandler extends EntityAccessControlHandler {

  /**
   * {@inheritdoc}
   */
  protected function checkAccess(EntityInterface $entity, $operation, AccountInterface $account) {
    if ($operation === 'view') {
      return AccessResult::allowedIfHasPermission($account, 'view burnafter entity');
    }
    return parent::checkAccess($entity, $operation, $account);
  }

}

// vim: expandtab ts=2 sw=2

