<?php declare(strict_types=1);

namespace Drupal\burnafter\Entity;

interface BurnAfterEntityInterface {

  /**
   * Determine if this entity should be deleted.
   *
   * @return bool TRUE if entity should be deleted, FALSE otherwise.
   */
  public function shouldDelete(): bool;

  /**
   * Provides the default expiration time (now + 30 minutes).
   *
   * @return int A unix timestamp.
   */
  public static function getDefaultExpireAt(): int;

}

// vim: expandtab ts=2 sw=2

