<?php declare(strict_types=1);

namespace Drupal\burnafter\Plugin\Validation\Constraint;

use Symfony\Component\Validator\Constraint;

/**
 * Ensures a timestamp is not in the past.
 *
 * @Constraint(
 *   id = "NotPastDate",
 *   label = @Translation("Not past date", context = "Validation")
 * )
 */
final class NotPastDateConstraint extends Constraint {

	public string $pastDate = 'The date/time cannot be set in the past.';

}
  
// vim: expandtab ts=2 sw=2

