<?php declare(strict_types=1);

namespace Drupal\burnafter\Plugin\Validation\Constraint;

use Symfony\Component\Validator\Constraint;
use Symfony\Component\Validator\ConstraintValidator;
use Drupal\Core\Field\FieldItemListInterface;

/**
 * Validates the NotPastDate constraint.
 */
final class NotPastDateConstraintValidator extends ConstraintValidator {

  /**
   * {@inheritdoc}
   */
  public function validate($value, Constraint $constraint): void {
    if ($value instanceOf FieldItemListInterface && !$value->isEmpty()) {
      $timestamp = $value->value;
      if ($timestamp < time()) {
        $this->context->addViolation($constraint->pastDate);
      }
    }
  }

}

// vim: expandtab ts=2 sw=2

